Skip to main content
Reliable Services/VM Scheduling Policy Interfaces
GETVM Scheduling Policy InterfacesSince 4.7.0SynchronousAuth Required

Query Host Scheduling Policy Group

Query Host Scheduling Policy Group

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

This API requires no request parameters.

Responses

200 OK

On success, this API returns the following response structure.

  • successbooleanRequired

    操作是否成功。

  • inventoriesListRequired

    For details, see inventories

    • uuidStringRequired

      UUID of the resource. Uniquely identifies the resource

    • nameStringRequired

      Resource name

    • descriptionStringRequired

      Detailed description of the resource

    • zoneUuidStringRequired

      Data Center UUID

    • clusterUuidStringRequired

      Cluster UUID

    • createDateTimestampRequired

      Creation time

    • lastOpDateTimestampRequired

      Last modification time

  • errorErrorCodeRequired

    Error code. If not null, the operation failed. This field is null when the operation succeeds. For details, see error

    • codeStringRequired

      Error code number. A globally unique identifier for the error, for example, SYS.1000, HOST.1001

    • descriptionStringRequired

      Brief description of the error

    • detailsStringRequired

      Detailed information about the error

    • elaborationStringRequired

      Reserved field. Default is null

    • opaqueLinkedHashMapRequired

      Reserved field. Default is null

    • causeErrorCodeRequired

      Root error. The source error that caused the current error. This field is null if no root error exists

Endpoint

GET/zstack/v1/query/host/schedulingRule/group

/zstack/v1/query/host/schedulingRule/group

Operation ID

QueryHostSchedulingRuleGroup

Permalink

Request Example

curl -X GET 'http://{host}/zstack/v1/query/host/schedulingRule/group' -H 'Authorization: OAuth {sessionUuid}'

Response Example

200
{ "inventories": [ { "uuid": "8236e15b68f9391b84c6375033b50b68", "name": "test", "description": "description", "zoneUuid": "54a86b72e1ec3a22b7525996031aabfc" } ] }

Change History

This API has no change history records yet.

View all change history